Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model
Interface NodePointerFactory

All Known Implementing Classes:
  BeanPointerFactory, CollectionPointerFactory, ContainerPointerFactory, DOMPointerFactory, DynaBeanPointerFactory, DynamicPointerFactory, JDOMPointerFactory

public interface NodePointerFactory

Creates NodePointers for objects of a certain type. NodePointerFactories are ordered according to the values returned by the "getOrder" method and always queried in that order.

Version:
  $Revision: 1.4 $ $Date: 2003/03/11 00:59:23 $
Author:
  Dmitri Plotnikov

Method Summary
`NodePointer` | `createNodePointer(NodePointer parent, QName name, java.lang.Object object)` Create a NodePointer for the supplied child object.
`NodePointer` | `createNodePointer(QName name, java.lang.Object object, java.util.Locale locale)` Create a NodePointer for the supplied object.
`int` | `getOrder()` The factory name determines its position between other factories.

Method Detail

### getOrder

    public int getOrder()

  The factory name determines its position between other factories.

### createNodePointer

    public NodePointer createNodePointer(QName name,
                                         java.lang.Object object,
                                         java.util.Locale locale)

  Create a NodePointer for the supplied object. The node will represent the "root" object a path.
  Returns:
    null if this factory does not recognize objects of the supplied type.

### createNodePointer

    public NodePointer createNodePointer(NodePointer parent,
                                         QName name,
                                         java.lang.Object object)

  Create a NodePointer for the supplied child object.

  Returns:
    null if this factory does not recognize objects of the supplied type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.